import request from '@/utils/request'

// 查询检疫项目列表
export function listItems(query) {
  return request({
    url: '/biosafety/items/list',
    method: 'get',
    params: query
  })
}

// 查询检疫项目详细
export function getItems(id) {
  return request({
    url: '/biosafety/items/' + id,
    method: 'get'
  })
}

// 新增检疫项目
export function addItems(data) {
  return request({
    url: '/biosafety/items',
    method: 'post',
    data: data
  })
}

// 修改检疫项目
export function updateItems(data) {
  return request({
    url: '/biosafety/items',
    method: 'put',
    data: data
  })
}

// 删除检疫项目
export function delItems(id) {
  return request({
    url: '/biosafety/items/' + id,
    method: 'delete'
  })
}
